<?php /* Template Name: Home */ ?>

<?php get_header(); ?>


<?php

// check if the flexible content field has rows of data
if( have_rows('blocks') ):

// loop through the rows of data
while ( have_rows('blocks') ) : the_row();

if( get_row_layout() == 'banner_top' ):

?>

<section class="banner">
    <div class="container">
        <div>
            <h2><?php the_sub_field('title') ?></h2>
            <p><?php the_sub_field('text') ?></p>
            <a href="<?php the_sub_field('link') ?>"><?php the_sub_field('text_link') ?></a>
        </div>
        <figure>
            <img src="<?php the_sub_field('image_right') ?>">
        </figure>
    </div>
</section>

<?php

    elseif( get_row_layout() == 'list_icons_with_text' ): 

?>

<section class="block-icons">
    <div class="container">
        <h2 class="h2"><?php the_sub_field('title') ?></h2>
        <p class="p center-aftertitle"><?php the_sub_field('text') ?></p>
        <ul class="icons-carousel">

            <?php

    // check if the repeater field has rows of data
    if( have_rows('list_icons') ):

            // loop through the rows of data
            while ( have_rows('list_icons') ) : the_row();

            ?>

            <li>
                <a href="<?php the_sub_field('permalink'); ?>" class="permalink"></a>
                <figure>
                    <img src="<?php the_sub_field('icon'); ?>">
                    <img src="<?php the_sub_field('icon_hover'); ?>">
                </figure>
                <h4><?php the_sub_field('title'); ?></h4>
                <p><?php the_sub_field('text'); ?></p>
            </li>

            <?php

            endwhile;

            else :

            // no rows found

            endif;

            ?>

        </ul>
    </div>
</section>

<?php

elseif( get_row_layout() == 'cta' ): 

?>

<section class="section-cta">
    <div class="container">
        <div class="cta">
            <div>
                <h2><?php the_sub_field('text'); ?></h2>
            </div>
            <div>
                <p><?php the_sub_field('text_prebutton'); ?></p>
                <a href="<?php the_sub_field('link_button'); ?>"><?php the_sub_field('text_button'); ?> <i class="fas fa-arrow-right"></i></a>
            </div>
        </div>
    </div>
</section>

<?php

elseif( get_row_layout() == 'block_why' ): 

?>

<section class="section-why" style="background:url(<?php the_sub_field('background'); ?>)">
    <div class="container">
        <h2 class="h2 white"><?php the_sub_field('title'); ?><span><?php the_sub_field('symbol_after_title'); ?></span></h2>
        <ul class="list-why">

            <?php

            // check if the repeater field has rows of data
            if( have_rows('icons') ):

            // loop through the rows of data
            while ( have_rows('icons') ) : the_row();

            ?>

            <li>
                <figure>
                    <img src="<?php the_sub_field('icon'); ?>">
                </figure>
                <p><?php the_sub_field('text'); ?></p>
            </li>

            <?php

            endwhile;

            else :

            // no rows found

            endif;

            ?>

        </ul>
    </div>
</section>

<?php

elseif( get_row_layout() == 'cta_+_image_right' ): 

?>

<section>
    <div class="container">
        <div class="cols2">
            <div class="cta-div">
                <h2 class="h2"><?php the_sub_field('title'); ?></h2>
                <p><?php the_sub_field('text'); ?></p>
                <a href="<?php the_sub_field('link'); ?>"><?php the_sub_field('text_link'); ?></a>
            </div>
            <div>
                <figure>
                    <img src="<?php the_sub_field('image_right'); ?>">
                </figure>
            </div>
        </div>
    </div>
</section>

<?php

elseif( get_row_layout() == 'testimonial_block' ): 

?>

<section class="section-testimonials">
    <div class="container">
        <h2><?php the_sub_field('title'); ?></h2>
        <div class="testimonials">
            <div class="item-testimonial">
                <p><?php the_sub_field('testimonial'); ?></p>
            </div>
        </div>
    </div>
</section>

<?php

elseif( get_row_layout() == 'block_amount' ): 

?>

<section class="section-amount">
    <div class="container">
        <ul class="items-amount">

            <?php

            // check if the repeater field has rows of data
            if( have_rows('items') ):

            // loop through the rows of data
            while ( have_rows('items') ) : the_row();

            ?>

            <li>
                <h3><strong><?php the_sub_field('amount_number'); ?></strong> <?php the_sub_field('amount_text'); ?></h3>
                <p><?php the_sub_field('text'); ?></p>
                <a href="<?php the_sub_field('link'); ?>"><?php the_sub_field('text_link'); ?></a>
            </li>

            <?php

            endwhile;

            else :

            // no rows found

            endif;

            ?>

        </ul>
    </div>
</section>

<?php

elseif( get_row_layout() == 'posts_block' ): 

?>

<section class="section-posts">
    <div class="container">
        <?php the_sub_field('title'); ?>
        <ul class="list-posts">
            <?php 
            query_posts(array( 
                'post_type' => 'post',
                'posts_per_page' => '3'
            )); 
            ?>

            <?php while (have_posts()) : the_post(); ?>

            <li>
                <figure><img src="<?php the_post_thumbnail_url(); ?>"></figure>
                <span class="fecha"><?php echo get_the_date(); ?></span>
                <?php the_excerpt() ?>
                <a class="permalink" href="<?php the_permalink() ?>">Read More</a>
            </li>

            <?php endwhile;?>
            <?php wp_reset_query(); ?> 
        </ul>
    </div>
</section>

<?php

endif;

endwhile;

else :

// no layouts found

endif;

?>

<?php get_footer(); ?>




